LGTOLMD(8)

NAME
lgtolmd - Legato license daemon

SYNOPSIS
lgtolmd -p product -n version

DESCRIPTION
The lgtolmd daemon is an RPC-based licensing service. This service allows applications to store and manipulate license data. The RPC program number provided by lgtolmd is 390115. To support multiple instances of the protocol, the version number is unique to each application. The required parameters are determined by each product's installation script.

OPTIONS

-p product
    Specify the product that will be interfacing with the license daemon. The currently supported products are gems (for GEMS default install directory /gems) and opt/SmartMedia (for SmartMedia default install directory /opt/SmartMedia) on UNIX platforms. For NetWorker, nsr/lic (for NetWorker default install directory /nsr) on UNIX platforms.

-n version
    Specify the version number. Some products use a unique version number. Currently, SmartMedia uses version 2 and GEMS Storage Reporter uses version 3. Both GEMS and NetWorker use version 1. The future plan is to have all Legato products use the same license manager, that is, version number 1.

FILES

/[product]/res/lgtolm.res
    Attributes describing the license daemon's license resources. This file should not be manually removed or modified in any way.

/[product]/res/lictype.res
    For internal use only. This file should not be manually removed or modified in any way.

/[product]/logs/lgtolmd.log
    Log file for diagnostic and informational messages on the license daemon. For example, if a license has expired, this information will be printed to this log as well as to the console.

SEE ALSO
lgtolic(8)